Windows from other workspaces missing decorations in window spread

Bug #865696 reported by Jay Ó Broin on 2011-10-03
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Compiz
High
Sam Spilsbury
Compiz Core
High
Sam Spilsbury
Unity
Fix Released
High
Sam Spilsbury
compiz (Ubuntu)
Low
Sam Spilsbury
Oneiric
Low
Sam Spilsbury
unity (Ubuntu)
Undecided
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

When using the Super+W window spread, windows from other workspaces lack decorations.

TEST CASE:

1. Move a window to another workspace
2. Move back to the workspace you were on
3. Open another window
4. Press super<w>

Both windows should have decorations

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.20.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 280.13 Wed Jul 27 16:55:43 PDT 2011
 GCC version: gcc version 4.6.1 (Ubuntu/Linaro 4.6.1-9ubuntu3)
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu2
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Mon Oct 3 17:27:45 2011
DistUpgraded: Log time: 2011-09-13 11:04:09.297261
DistroCodename: oneiric
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 280.13, 3.0.0-12-generic, i686: installed
 nvidia-current-updates, 280.13, 3.0.0-12-generic, i686: installed
GraphicsCard:
 nVidia Corporation GT216 [GeForce GT 220] [10de:0a20] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: BFG Tech Device [19f1:113c]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta i386 (20110909)
JockeyStatus:
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Enabled, In use)
MachineType: Acer Aspire M1201
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=ab49ff83-e28a-460e-84bc-6bcddae18d1e ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-09-22 (11 days ago)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 08/21/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R03-B1
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: RS740DVF
dmi.board.vendor: Acer
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR03-B1:bd08/21/2008:svnAcer:pnAspireM1201:pvr:rvnAcer:rnRS740DVF:rvr:cvnAcer:ct3:cvr1.0:
dmi.product.name: Aspire M1201
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu1
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Related branches

Jay Ó Broin (ismise) wrote :
Sebastien Bacher (seb128) wrote :

<smspillaz> I fixed it in lp:compiz-core

Changed in unity (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
affects: unity (Ubuntu) → compiz (Ubuntu)
affects: unity → compiz
Changed in compiz:
status: New → Fix Committed
importance: Undecided → Low
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, the issue has been fixed in the upstream vcs and the fix should land in a stable update later for Oneiric

Changed in compiz:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz:
status: Fix Committed → In Progress
Changed in compiz (Ubuntu Oneiric):
status: Fix Committed → In Progress
Changed in compiz-core:
status: New → In Progress
Changed in unity:
status: New → In Progress
Changed in compiz-core:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz (Ubuntu Oneiric):
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz-core:
milestone: none → 0.9.6
Changed in unity:
milestone: none → 4.26.0
Changed in compiz-core:
importance: Undecided → High
Changed in compiz:
importance: Low → High
Changed in unity:
importance: Undecided → High
Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz-core:
status: In Progress → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
Changed in compiz (Ubuntu):
status: In Progress → Fix Committed
tags: added: regression-release
Sam Spilsbury (smspillaz) wrote :

=== added file 'debian/patches/rev_2878_bug_865696.patch'
--- debian/patches/rev_2878_bug_865696.patch 1970-01-01 00:00:00 +0000
+++ debian/patches/rev_2878_bug_865696.patch 2011-10-17 07:02:55 +0000
@@ -0,0 +1,23 @@
+=== modified file 'plugins/decor/src/decor.cpp'
+Index: compiz-0.9.6+bzr20110929/plugins/decor/src/decor.cpp
+===================================================================
+--- compiz-0.9.6+bzr20110929.orig/plugins/decor/src/decor.cpp 2011-10-17 14:08:13.331280850 +0800
++++ compiz-0.9.6+bzr20110929/plugins/decor/src/decor.cpp 2011-10-17 14:08:43.911432482 +0800
+@@ -177,10 +177,13 @@
+ const CompRegion &region,
+ unsigned int mask)
+ {
+- CompRegion reg = (mask & (PAINT_WINDOW_TRANSFORMED_MASK |
+- PAINT_WINDOW_ON_TRANSFORMED_SCREEN_MASK |
+- PAINT_WINDOW_WITH_OFFSET_MASK)) ?
+- region : shadowRegion.intersected (region);
++ CompRegion reg = shadowRegion.intersected (region);
++
++ if ((mask & (PAINT_WINDOW_ON_TRANSFORMED_SCREEN_MASK |
++ PAINT_WINDOW_WITH_OFFSET_MASK)))
++ reg = region;
++ else if (mask & PAINT_WINDOW_TRANSFORMED_MASK)
++ reg = infiniteRegion;
+
+ /* In case some plugin needs to paint us with an offset region */
+ if (reg.isEmpty ())

This patch fixes a case where a transformed widnow that isn't on a transformed screen gets its decorations clipped

description: updated
tags: added: testcase
description: updated

Hello Jay, or anyone else affected,

Accepted compiz into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.6+bzr20110929-0ubuntu7

---------------
compiz (1:0.9.6+bzr20110929-0ubuntu7) precise; urgency=low

  * Upload to precise

compiz (1:0.9.6+bzr20110929-0ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/rev_2821_fix_807487.patch:
    - unity-window-decorator crashed with SIGSEGV in
      g_datalist_id_set_data_full() (LP: #807487)
  * debian/patches/rev_2847_bug_796594.patch:
    - Window behaviour - pressing the 'restore' window indicator on a
      semi-maximised window should return it to the restored state
      (LP: #796594)
  * debian/patches/rev_2878_bug_865696.patch:
    - Windows from other workspaces missing decorations in window spread
      (LP: #865696)
  * debian/patches/rev_2884_fix_874004.patch:
    - When a window is minimized on another workspace it doesn't appear
      in the spread (LP: #874004)
  * debian/patches/rev_2890_fix_879253.patch:
    - Makes the previous patch building and not crashing.
  * Add some upstream missing bits from previous fixes:
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
  * debian/patches/fix-886978.patch:
    - compiz crashes with SIGSEGV in PrivateWindow::configure (LP: #886978)
 -- Didier Roche <email address hidden> Thu, 10 Nov 2011 09:11:57 +0100

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Miklos Juhasz (mjuhasz) wrote :

The proposed version resolved this bug. Decorations for windows from other workspaces are present with the compiz version from proposed.

Martin Pitt (pitti) on 2011-11-10
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.6+bzr20110929-0ubuntu6

---------------
compiz (1:0.9.6+bzr20110929-0ubuntu6) oneiric-proposed; urgency=low

  * debian/patches/rev_2821_fix_807487.patch:
    - unity-window-decorator crashed with SIGSEGV in
      g_datalist_id_set_data_full() (LP: #807487)
  * debian/patches/rev_2847_bug_796594.patch:
    - Window behaviour - pressing the 'restore' window indicator on a
      semi-maximised window should return it to the restored state
      (LP: #796594)
  * debian/patches/rev_2878_bug_865696.patch:
    - Windows from other workspaces missing decorations in window spread
      (LP: #865696)
  * debian/patches/rev_2884_fix_874004.patch:
    - When a window is minimized on another workspace it doesn't appear
      in the spread (LP: #874004)
  * debian/patches/rev_2890_fix_879253.patch:
    - Makes the previous patch building and not crashing.
  * Add some upstream missing bits from previous fixes:
    - debian/patches/fix-864330.patch
    - debian/patches/fix-864478.patch
  * debian/patches/fix-886978.patch:
    - compiz crashes with SIGSEGV in PrivateWindow::configure (LP: #886978)
 -- Didier Roche <email address hidden> Thu, 20 Oct 2011 14:23:52 +0200

Changed in compiz (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Omer Akram (om26er) on 2012-01-20
Changed in unity:
status: Fix Committed → Fix Released
Changed in compiz-core:
status: Fix Committed → Fix Released
Changed in compiz:
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

oneiric has seen the end of its life and is no longer receiving any updates. Marking the oneiric task for this ticket as "Won't Fix".

Changed in unity (Ubuntu Oneiric):
status: New → Won't Fix
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.